"""init

Revision ID: af6a63955b90
Revises: 
Create Date: 2019-07-30 19:15:04.984826

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'af6a63955b90'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('beerstyle',
    sa.Column('id', sa.BigInteger(), autoincrement=True, nullable=False),
    sa.Column('name', sa.Text(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('beers',
    sa.Column('id', sa.BigInteger(), autoincrement=True, nullable=False),
    sa.Column('id_style', sa.BigInteger(), nullable=True),
    sa.Column('name', sa.Text(), nullable=True),
    sa.Column('abv', sa.Text(), nullable=True),
    sa.Column('ibu', sa.Text(), nullable=True),
    sa.Column('srm', sa.Text(), nullable=True),
    sa.Column('upc', sa.Text(), nullable=True),
    sa.Column('descript', sa.Text(), nullable=True),
    sa.Column('last_mod', sa.Text(), nullable=True),
    sa.ForeignKeyConstraint(['id_style'], ['beerstyle.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('beers')
    op.drop_table('beerstyle')
    # ### end Alembic commands ###
